Bug 226257 - Merge Review: perl-File-MMagic
Merge Review: perl-File-MMagic
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:35 EST by Nobody's working on this, feel free to take it
Modified: 2012-06-04 10:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 05:35:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:35:36 EST
Fedora Merge Review: perl-File-MMagic

http://cvs.fedora.redhat.com/viewcvs/devel/perl-File-MMagic/
Initial Owner: rnorwood@redhat.com
Comment 1 Parag AN(पराग) 2007-10-26 06:25:17 EDT
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1

  
Comment 2 Robin Norwood 2007-10-26 16:04:49 EDT
Should be fixed in new version: perl-File-MMagic-1.27-4.fc9
Comment 3 Parag AN(पराग) 2007-10-26 21:51:08 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4ffb13b6587888e6e455c22988abce5e  File-MMagic-1.27.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01-selfcheck.....ok
t/02-extmagic......ok
t/03-typecheck.....ok
t/04-string-mod....ok
All tests successful.
Files=4, Tests=6,  0 wallclock secs ( 0.18 cusr +  0.04 csys =  0.22 CPU)
+ Package perl-File-MMagic-1.27-4.fc8 ->
Provides: perl(File::MMagic) = 1.27
Requires: perl(:MODULE_COMPAT_5.8.8) perl(FileHandle) perl(strict) perl(vars)
 APPROVED.
Comment 4 Parag AN(पराग) 2007-11-11 02:04:13 EST
Can we CLOSE this review if package is already built and in rawhide?
Comment 5 Petr Pisar 2012-06-04 10:13:43 EDT
Package Change Request
======================
Package Name: perl-File-MMagic
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig with watch* permissions only to all Fedora branches.
Comment 6 Jon Ciesla 2012-06-04 10:32:48 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.